> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Reverse Transfer Onboarding



## OpenAPI

````yaml openapi/recipients-for-marketplace/reverse-onboarding.json POST /recipients/onboardings/reverse-transfer/{transfer_id}
openapi: 3.1.0
info:
  title: Recipients API
  version: 1.0.0
  description: >-
    API for managing recipients in split payment scenarios. This feature enables
    merchants to split payments among multiple recipients, which is particularly
    beneficial for marketplace models where transactions need to be divided
    among different sellers or stakeholders.
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /recipients/onboardings/reverse-transfer/{transfer_id}:
    post:
      operationId: post_recipients{:id}onboardings{:onboarding}reverse-transfer
      parameters:
        - in: header
          name: X-organization-code
          schema:
            type: string
          required: true
          description: Organization code associated to the request.
        - in: header
          name: X-Idempotency-Key
          schema:
            type: string
          required: true
          description: >-
            Unique identifier used in HTTP headers to ensure that a request is
            processed only once, even if it is retried due to network issues or
            timeouts.
        - in: path
          name: transfer_id
          schema:
            type: string
          required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: ed206787-6203-45a6-b896-71249fff7ddb
                  origin_onboarding:
                    type: object
                    properties:
                      id:
                        type: string
                        example: c2f96b59-ae5a-470d-a94a-16bf142b11df
                      type:
                        type: string
                        example: ONE_STEP_ONBOARDING
                      workflow:
                        type: string
                        example: DIRECT
                      description:
                        type: string
                        example: Onboarding Description
                      status:
                        type: string
                        example: INACTIVE
                      response_message: {}
                      callback_url:
                        type: string
                        example: https://merchant.example.com/webhook/onboarding
                      provider:
                        type: object
                        properties:
                          id:
                            type: string
                            example: STRIPE
                          connection_id:
                            type: string
                            example: b90fa936-92b6-4529-9c69-0ca474291af1
                          recipient_id:
                            type: string
                            example: acct_1SpfTBRFM5RUW372
                          redirect_url: {}
                          onboarding_url:
                            type: string
                            example: ''
                          legal_entity: {}
                          recipient_additional_id: {}
                          balance_account_id:
                            type: string
                            example: ''
                          recipient_type: {}
                          raw_notification: {}
                          raw_response: {}
                          response_code: {}
                          response_message: {}
                      documentation:
                        type: array
                        items:
                          type: object
                          properties:
                            file_name:
                              type: string
                              example: onboarding10.png
                            content_type:
                              type: string
                              example: image/png
                            content_category:
                              type: string
                              example: VAT_DOCUMENT
                            content:
                              type: string
                              example: >-
                                onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf
                      legal_representatives:
                        type: array
                        items:
                          type: object
                          properties:
                            merchant_reference:
                              type: string
                              example: ONB_010
                            first_name:
                              type: string
                              example: Maria
                            last_name:
                              type: string
                              example: Gonzalez
                            email:
                              type: string
                              example: maria.gonzalez@example.com
                            date_of_birth:
                              type: string
                              example: '1985-05-20'
                            country:
                              type: string
                              example: US
                            nationality:
                              type: string
                              example: US
                            title:
                              type: string
                              example: CEO
                            publicly_exposed_person:
                              type: boolean
                              example: false
                              default: true
                            ultimate_beneficial_owner:
                              type: boolean
                              example: true
                              default: true
                            document:
                              type: object
                              properties:
                                document_type:
                                  type: string
                                  example: CC
                                document_number:
                                  type: string
                                  example: '0987654321'
                            phone:
                              type: object
                              properties:
                                number:
                                  type: string
                                  example: '3109876543'
                                country_code:
                                  type: string
                                  example: '+57'
                            address:
                              type: object
                              properties:
                                address_line_1:
                                  type: string
                                  example: 'Calle 26 # 13-19'
                                address_line_2:
                                  type: string
                                  example: test calle
                                country:
                                  type: string
                                  example: US
                                state:
                                  type: string
                                  example: Cundinamarca
                                city:
                                  type: string
                                  example: Bogota
                                zip_code:
                                  type: string
                                  example: '03804'
                                neighborhood:
                                  type: string
                                  example: Centro
                      metadata:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                              example: test
                            value:
                              type: string
                              example: '123'
                      withdrawal_methods:
                        type: object
                        properties:
                          bank:
                            type: object
                            properties:
                              code:
                                type: string
                                example: '004'
                              branch:
                                type: string
                                example: '006'
                              branch_digit:
                                type: string
                                example: '125'
                              account:
                                type: string
                                example: '000123456789'
                              account_digit:
                                type: string
                                example: '124'
                              account_type:
                                type: string
                                example: SAVINGS
                              routing:
                                type: string
                                example: '110000000'
                              country:
                                type: string
                                example: US
                              currency:
                                type: string
                                example: USD
                              payout_schedule:
                                type: string
                                example: HOLD
                      terms_of_service:
                        type: object
                        properties:
                          acceptance:
                            type: boolean
                            example: true
                            default: true
                          date:
                            type: string
                            example: '2025-07-21T20:43:54.786342Z'
                          ip:
                            type: string
                            example: 129.21.111.11
                      created_at:
                        type: string
                        example: '2026-01-15T21:33:17.374975Z'
                      updated_at:
                        type: string
                        example: '2026-01-15T21:33:44.650123Z'
                  destination_onboarding:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 97254599-4f94-4aff-9777-733a8e0e95e1
                      type:
                        type: string
                        example: ONE_STEP_ONBOARDING
                      workflow:
                        type: string
                        example: DIRECT
                      description:
                        type: string
                        example: Onboarding Description
                      status:
                        type: string
                        example: SUCCEEDED
                      response_message: {}
                      callback_url:
                        type: string
                        example: https://merchant.example.com/webhook/onboarding
                      provider:
                        type: object
                        properties:
                          id:
                            type: string
                            example: STRIPE
                          connection_id:
                            type: string
                            example: b90fa936-92b6-4529-9c69-0ca474291af1
                          recipient_id:
                            type: string
                            example: acct_1SpfStIPQ4THTT53
                          redirect_url: {}
                          onboarding_url:
                            type: string
                            example: ''
                          legal_entity: {}
                          recipient_additional_id: {}
                          balance_account_id:
                            type: string
                            example: ''
                          recipient_type: {}
                          raw_notification: {}
                          raw_response: {}
                          response_code: {}
                          response_message: {}
                      documentation:
                        type: array
                        items:
                          type: object
                          properties:
                            file_name:
                              type: string
                              example: onboarding10.png
                            content_type:
                              type: string
                              example: image/png
                            content_category:
                              type: string
                              example: VAT_DOCUMENT
                            content:
                              type: string
                              example: >-
                                onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf
                      legal_representatives:
                        type: array
                        items:
                          type: object
                          properties:
                            merchant_reference:
                              type: string
                              example: ONB_010
                            first_name:
                              type: string
                              example: Maria
                            last_name:
                              type: string
                              example: Gonzalez
                            email:
                              type: string
                              example: maria.gonzalez@example.com
                            date_of_birth:
                              type: string
                              example: '1985-05-20'
                            country:
                              type: string
                              example: US
                            nationality:
                              type: string
                              example: US
                            title:
                              type: string
                              example: CEO
                            publicly_exposed_person:
                              type: boolean
                              example: false
                              default: true
                            ultimate_beneficial_owner:
                              type: boolean
                              example: true
                              default: true
                            document:
                              type: object
                              properties:
                                document_type:
                                  type: string
                                  example: CC
                                document_number:
                                  type: string
                                  example: '0987654321'
                            phone:
                              type: object
                              properties:
                                number:
                                  type: string
                                  example: '3109876543'
                                country_code:
                                  type: string
                                  example: '+57'
                            address:
                              type: object
                              properties:
                                address_line_1:
                                  type: string
                                  example: 'Calle 26 # 13-19'
                                address_line_2:
                                  type: string
                                  example: test calle
                                country:
                                  type: string
                                  example: US
                                state:
                                  type: string
                                  example: Cundinamarca
                                city:
                                  type: string
                                  example: Bogota
                                zip_code:
                                  type: string
                                  example: '03804'
                                neighborhood:
                                  type: string
                                  example: Centro
                      metadata:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                              example: test
                            value:
                              type: string
                              example: '123'
                      withdrawal_methods:
                        type: object
                        properties:
                          bank:
                            type: object
                            properties:
                              code:
                                type: string
                                example: '004'
                              branch:
                                type: string
                                example: '006'
                              branch_digit:
                                type: string
                                example: '125'
                              account:
                                type: string
                                example: '000123456789'
                              account_digit:
                                type: string
                                example: '124'
                              account_type:
                                type: string
                                example: SAVINGS
                              routing:
                                type: string
                                example: '110000000'
                              country:
                                type: string
                                example: US
                              currency:
                                type: string
                                example: USD
                              payout_schedule:
                                type: string
                                example: HOLD
                      terms_of_service:
                        type: object
                        properties:
                          acceptance:
                            type: boolean
                            example: true
                            default: true
                          date:
                            type: string
                            example: '2025-07-21T20:43:54.786342Z'
                          ip:
                            type: string
                            example: 129.21.111.11
                      created_at:
                        type: string
                        example: '2026-01-15T01:35:10.646218Z'
                      updated_at:
                        type: string
                        example: '2026-01-15T21:33:46.245564Z'
                  created_at:
                    type: string
                    example: '2026-01-15T21:33:46.456587Z'
                  updated_at:
                    type: string
                    example: '2026-01-15T21:33:46.456624Z'
              examples:
                Success:
                  value:
                    id: ed206787-6203-45a6-b896-71249fff7ddb
                    origin_onboarding:
                      id: c2f96b59-ae5a-470d-a94a-16bf142b11df
                      type: ONE_STEP_ONBOARDING
                      workflow: DIRECT
                      description: Onboarding Description
                      status: INACTIVE
                      response_message: null
                      callback_url: https://merchant.example.com/webhook/onboarding
                      provider:
                        id: STRIPE
                        connection_id: b90fa936-92b6-4529-9c69-0ca474291af1
                        recipient_id: acct_1SpfTBRFM5RUW372
                        redirect_url: null
                        onboarding_url: ''
                        legal_entity: null
                        recipient_additional_id: null
                        balance_account_id: ''
                        recipient_type: null
                        raw_notification: null
                        raw_response: null
                        response_code: null
                        response_message: null
                      documentation:
                        - file_name: onboarding10.png
                          content_type: image/png
                          content_category: VAT_DOCUMENT
                          content: >-
                            onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf
                        - file_name: onboarding10.png
                          content_type: image/png
                          content_category: VAT_DOCUMENT
                          content: >-
                            onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf
                      legal_representatives:
                        - merchant_reference: ONB_010
                          first_name: María
                          last_name: González
                          email: maria.gonzalez@example.com
                          date_of_birth: '1985-05-20'
                          country: US
                          nationality: US
                          title: CEO
                          publicly_exposed_person: false
                          ultimate_beneficial_owner: true
                          document:
                            document_type: CC
                            document_number: '0987654321'
                          phone:
                            number: '3109876543'
                            country_code: '+57'
                          address:
                            address_line_1: 'Calle 26 # 13-19'
                            address_line_2: test calle
                            country: US
                            state: Cundinamarca
                            city: Bogotá
                            zip_code: '03804'
                            neighborhood: Centro
                        - merchant_reference: ONB_010
                          first_name: María
                          last_name: González
                          email: maria.gonzalez@example.com
                          date_of_birth: '1985-05-20'
                          country: US
                          nationality: US
                          title: CEO
                          publicly_exposed_person: false
                          ultimate_beneficial_owner: true
                          document:
                            document_type: CC
                            document_number: '0987654321'
                          phone:
                            number: '3109876543'
                            country_code: '+57'
                          address:
                            address_line_1: 'Calle 26 # 13-19'
                            address_line_2: test calle
                            country: US
                            state: Cundinamarca
                            city: Bogotá
                            zip_code: '03804'
                            neighborhood: Centro
                      metadata:
                        - key: test
                          value: '123'
                      withdrawal_methods:
                        bank:
                          code: '004'
                          branch: '006'
                          branch_digit: '125'
                          account: '000123456789'
                          account_digit: '124'
                          account_type: SAVINGS
                          routing: '110000000'
                          country: US
                          currency: USD
                          payout_schedule: HOLD
                      terms_of_service:
                        acceptance: true
                        date: '2025-07-21T20:43:54.786342Z'
                        ip: 129.21.111.11
                      created_at: '2026-01-15T21:33:17.374975Z'
                      updated_at: '2026-01-15T21:33:44.650123Z'
                    destination_onboarding:
                      id: 97254599-4f94-4aff-9777-733a8e0e95e1
                      type: ONE_STEP_ONBOARDING
                      workflow: DIRECT
                      description: Onboarding Description
                      status: SUCCEEDED
                      response_message: null
                      callback_url: https://merchant.example.com/webhook/onboarding
                      provider:
                        id: STRIPE
                        connection_id: b90fa936-92b6-4529-9c69-0ca474291af1
                        recipient_id: acct_1SpfStIPQ4THTT53
                        redirect_url: null
                        onboarding_url: ''
                        legal_entity: null
                        recipient_additional_id: null
                        balance_account_id: ''
                        recipient_type: null
                        raw_notification: null
                        raw_response: null
                        response_code: null
                        response_message: null
                      documentation:
                        - file_name: onboarding10.png
                          content_type: image/png
                          content_category: VAT_DOCUMENT
                          content: >-
                            onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf
                        - file_name: onboarding10.png
                          content_type: image/png
                          content_category: VAT_DOCUMENT
                          content: >-
                            onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf
                        - file_name: onboarding10.png
                          content_type: image/png
                          content_category: VAT_DOCUMENT
                          content: >-
                            onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf
                        - file_name: onboarding10.png
                          content_type: image/png
                          content_category: VAT_DOCUMENT
                          content: >-
                            onboarding10.png-c86969b6-6ddc-4bc2-9bce-f190a05679bf
                      legal_representatives:
                        - merchant_reference: ONB_010
                          first_name: María
                          last_name: González
                          email: maria.gonzalez@example.com
                          date_of_birth: '1985-05-20'
                          country: US
                          nationality: US
                          title: CEO
                          publicly_exposed_person: false
                          ultimate_beneficial_owner: true
                          document:
                            document_type: CC
                            document_number: '0987654321'
                          phone:
                            number: '3109876543'
                            country_code: '+57'
                          address:
                            address_line_1: 'Calle 26 # 13-19'
                            address_line_2: test calle
                            country: US
                            state: Cundinamarca
                            city: Bogotá
                            zip_code: '03804'
                            neighborhood: Centro
                        - merchant_reference: ONB_010
                          first_name: María
                          last_name: González
                          email: maria.gonzalez@example.com
                          date_of_birth: '1985-05-20'
                          country: US
                          nationality: US
                          title: CEO
                          publicly_exposed_person: false
                          ultimate_beneficial_owner: true
                          document:
                            document_type: CC
                            document_number: '0987654321'
                          phone:
                            number: '3109876543'
                            country_code: '+57'
                          address:
                            address_line_1: 'Calle 26 # 13-19'
                            address_line_2: test calle
                            country: US
                            state: Cundinamarca
                            city: Bogotá
                            zip_code: '03804'
                            neighborhood: Centro
                        - merchant_reference: ONB_010
                          first_name: María
                          last_name: González
                          email: maria.gonzalez@example.com
                          date_of_birth: '1985-05-20'
                          country: US
                          nationality: US
                          title: CEO
                          publicly_exposed_person: false
                          ultimate_beneficial_owner: true
                          document:
                            document_type: CC
                            document_number: '0987654321'
                          phone:
                            number: '3109876543'
                            country_code: '+57'
                          address:
                            address_line_1: 'Calle 26 # 13-19'
                            address_line_2: test calle
                            country: US
                            state: Cundinamarca
                            city: Bogotá
                            zip_code: '03804'
                            neighborhood: Centro
                        - merchant_reference: ONB_010
                          first_name: María
                          last_name: González
                          email: maria.gonzalez@example.com
                          date_of_birth: '1985-05-20'
                          country: US
                          nationality: US
                          title: CEO
                          publicly_exposed_person: false
                          ultimate_beneficial_owner: true
                          document:
                            document_type: CC
                            document_number: '0987654321'
                          phone:
                            number: '3109876543'
                            country_code: '+57'
                          address:
                            address_line_1: 'Calle 26 # 13-19'
                            address_line_2: test calle
                            country: US
                            state: Cundinamarca
                            city: Bogotá
                            zip_code: '03804'
                            neighborhood: Centro
                      metadata:
                        - key: test
                          value: '123'
                      withdrawal_methods:
                        bank:
                          code: '004'
                          branch: '006'
                          branch_digit: '125'
                          account: '000123456789'
                          account_digit: '124'
                          account_type: SAVINGS
                          routing: '110000000'
                          country: US
                          currency: USD
                          payout_schedule: HOLD
                      terms_of_service:
                        acceptance: true
                        date: '2025-07-21T20:43:54.786342Z'
                        ip: 129.21.111.11
                      created_at: '2026-01-15T01:35:10.646218Z'
                      updated_at: '2026-01-15T21:33:46.245564Z'
                    created_at: '2026-01-15T21:33:46.456587Z'
                    updated_at: '2026-01-15T21:33:46.456624Z'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
              examples:
                Invalid Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request format
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````